<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ApiTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('logs', function (Blueprint $table) {
            $table->id();
            $table->string('id_user');
            $table->ipAddress('ip');
            $table->timestamp('date');
        });

        Schema::create('mcompv', function (Blueprint $table) {
            $table->id();
            $table->string('nombre');
            $table->integer('dias_vacaciones');
            $table->string('dias_descanso');
            $table->string('earn_as_you_go', 1);
            $table->integer('dias_earn_as_you_go')->nullable();
            $table->string('caducidad');
            $table->timestamp('date');
            $table->string('estatus', 1);
        });

        Schema::create('mcomun', function (Blueprint $table) {
            $table->id();
            $table->string('rfc')->unique();
            $table->string('nombre');
            $table->timestamp('date');
            $table->string('estatus', 1);
        });

        Schema::create('mcomor', function (Blueprint $table) {
            $table->id();
            $table->string('id_user')->unique();
            $table->string('id_jefe_directo');
            $table->string('id_jefe_sustituto');
            $table->timestamp('date');
            $table->string('estatus', 1);
        });

        Schema::create('mcomdf', function (Blueprint $table) {
            $table->id();
            $table->integer('anio');
            $table->timestamp('dia');
            $table->string('estatus', 1);
        });

        Schema::create('mesmsv', function (Blueprint $table) {
            $table->id();
            $table->integer('dias')->nullable();
            $table->timestamp('f_inicio')->nullable();
            $table->timestamp('f_final')->nullable();
            $table->longText('descripcion');
            $table->string('estatus', 1);
            $table->string('numero_empleado')->unique();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('logs');
        Schema::dropIfExists('mcompv');
        Schema::dropIfExists('mcomun');
        Schema::dropIfExists('mcomor');
        Schema::dropIfExists('mcomdf');
        Schema::dropIfExists('mesmsv');
    }
}
